%define upstream_name	 Algorithm-Annotate
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Perl module to represent a series of changes in annotate form
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Algorithm::Diff)
BuildArch:      noarch

%description
Algorithm::Annotate generates a list that is useful for generating output
similar to cvs annotate

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-10.mga8
+ Revision: 1503411
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.100.0-9.mga7
+ Revision: 1281548
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.100.0-8.mga7
+ Revision: 1162767
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1022225
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 945193
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 739497
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 683435
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 509043
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 362842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 9029
- imported package perl-Algorithm-Annotate


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 405953
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.10-9mdv2009.0
+ Revision: 255260
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-7mdv2008.1
+ Revision: 136882
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.10-6mdv2007.0
+ Revision: 73173
- import perl-Algorithm-Annotate-0.10-6mdv2007.0

* Fri Jul 21 2006 Michael Scherer <misc@mandriva.org> 0.10-6mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.10-5mdk
- Fix BuildRequires Using perl Policies
	- Source URL
	- BuildRequires
- use mkrel

* Fri Apr 29 2005 Michael Scherer <misc@mandriva.org> 0.10-4mdk
- use check macro ( and also for amd64 )

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.10-3mdk
- rebuild for new Perl

* Wed Sep 01 2004 Michael Scherer <misc@mandrake.org> 0.10-2mdk 
- rebuild for new perl ( [DIRM] )

* Sat Apr 03 2004 Michael Scherer <misc@mandrake.org> 0.10-1mdk 
- First MandrakeSoft Package

